<?xml version="1.0" encoding="UTF-8"?>
<system name="Engine command multiplexer">


 <property>propulsion/engine[0]/starter</property>
 <property>propulsion/engine[0]/cutoff</property>

 <property>propulsion/engine[1]/starter</property>
 <property>propulsion/engine[1]/cutoff</property>

 <property>propulsion/engine[2]/starter</property>
 <property>propulsion/engine[2]/cutoff</property>

 <property>propulsion/engine[3]/starter</property>
 <property>propulsion/engine[3]/cutoff</property>

 <property>propulsion/engine[4]/starter</property>
 <property>propulsion/engine[4]/cutoff</property>


 <channel name="Engine command multiplexer">

  <fcs_function name="propulsion/active_engine_">
   <output>propulsion/active_engine</output>
   <function>
    <mod>
     <!-- XXX Is this unreliable? -->
     <sum>
      <p>propulsion/active_engine</p>
      <v>1</v>
     </sum>
<!--
     <product>
      <p>simulation/sim-time-sec</p>
      <v>10.0</v>
     </product>
-->
     <v>5</v>
    </mod>
   </function>
  </fcs_function>

  <switch name="propulsion/starter_cmd_">
   <output>propulsion/starter_cmd</output>
   <default value="0"/>
   <test value="propulsion/engine[0]/starter">
    propulsion/active_engine EQ 0
   </test>
   <test value="propulsion/engine[1]/starter">
    propulsion/active_engine EQ 1
   </test>
   <test value="propulsion/engine[2]/starter">
    propulsion/active_engine EQ 2
   </test>
   <test value="propulsion/engine[3]/starter">
    propulsion/active_engine EQ 3
   </test>
   <test value="propulsion/engine[4]/starter">
    propulsion/active_engine EQ 4
   </test>
  </switch>

  <switch name="propulsion/cutoff_cmd_">
   <output>propulsion/cutoff_cmd</output>
   <default value="0"/>
   <test value="propulsion/engine[0]/cutoff">
    propulsion/active_engine EQ 0
   </test>
   <test value="propulsion/engine[1]/cutoff">
    propulsion/active_engine EQ 1
   </test>
   <test value="propulsion/engine[2]/cutoff">
    propulsion/active_engine EQ 2
   </test>
   <test value="propulsion/engine[3]/cutoff">
    propulsion/active_engine EQ 3
   </test>
   <test value="propulsion/engine[4]/cutoff">
    propulsion/active_engine EQ 4
   </test>
  </switch>

 </channel>


</system>
